package com.greenbird.test.database.jdbc.derby;

import org.apache.derby.jdbc.EmbeddedXADataSource;

/**
 * Extension of the standard Derby XA datasource that adds properties that are not used by Derby, but are
 * used when configuring the production DB. These properties are typically set using reflection so configuration
 * will fail when the properties are missing, even if they are unused when Derby is the database.
 */
public class EmbeddedXADataSourceWithExtraProperties extends EmbeddedXADataSource {
    public EmbeddedXADataSourceWithExtraProperties() {
        super.setCreateDatabase("create");
    }

    public void setServerName(String serverName) {
        // NOP
    }

    public void setPortNumber(String portNumber) {
        // NOP
    }

    public void setServerType(String serverType) {
        // NOP
    }

}
