package com.greenbird.test.logging;

import org.apache.log4j.Logger;
import org.apache.log4j.spi.LoggingEvent;
import org.apache.log4j.varia.NullAppender;

import java.util.ArrayList;
import java.util.List;

/**
 * Appender that can be used to capture logging events from Log4J loggers.
 */
public class TestLogAppender extends NullAppender {
    private List<LoggingEvent> loggingEvents = new ArrayList<LoggingEvent>();

    public TestLogAppender(Class<?> loggerClass) {
        this(loggerClass.getName());
    }

    public TestLogAppender(String loggerName) {
        Logger.getLogger(loggerName).addAppender(this);
    }

    @Override
    public void doAppend(LoggingEvent event) {
        loggingEvents.add(event);
    }

    public List<LoggingEvent> getLoggingEvents() {
        return loggingEvents;
    }

    public void close() {
        loggingEvents.clear();
        Logger.getRootLogger().removeAppender(this);
    }
}
