package com.greenbird.test.util;

import com.greenbird.test.GreenbirdTestException;
import org.apache.commons.io.IOUtils;
import org.springframework.core.io.DefaultResourceLoader;
import org.springframework.core.io.support.ResourcePatternResolver;
import org.springframework.core.io.support.ResourcePatternUtils;

import java.io.IOException;
import java.net.URL;

public class ResourceLoader {
    private static final ResourcePatternResolver resourcePatternResolver = ResourcePatternUtils.getResourcePatternResolver(
            new DefaultResourceLoader(Thread.currentThread().getContextClassLoader()));

    private ResourceLoader() {
        // NOP
    }

    public static String load(String location) {
        try {
            URL resourceUrl = resourcePatternResolver.getResource(location).getURL();
            return IOUtils.toString(resourceUrl, "UTF-8");
        } catch (IOException e) {
            throw new GreenbirdTestException(e);
        }
    }
}
